<nav class="navbar navbar-expand-lg navbar-dark bg-primary mb-4">
  <div class="container-fluid">
    <a class="navbar-brand" href="#">MovieNode</a>
    <button
      class="navbar-toggler"
      type="button"
      data-bs-toggle="collapse"
      data-bs-target="#navbarNav"
      aria-controls="navbarNav"
      aria-expanded="false"
      aria-label="Toggle navigation"
    >
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarNav">
      <ul class="navbar-nav">
        <li class="nav-item">
          <a class="nav-link active" aria-current="page" href="/">Home</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" aria-current="page" href="/replaceall">Replace all plots</a>
        </li>
        <form class="d-flex" action="/">
          <input class="form-control me-2" id="search" type="search" placeholder="Search" aria-label="Search">
          <button class="btn btn-light" onclick="getParamAndRedirect(event);" type="submit">Search</button>
        </form>
      </ul>
    </div>
  </div>
</nav>

<script>

  function getParamAndRedirect(event){
    event.preventDefault();
    var param1 = document.getElementById("search").value;
    window.location = `http://localhost:3000/search/${param1}`
    
  }
  </script>
